task mendelian {
	File child_vcf
	File LCL7_vcf
	File LCL8_vcf
	String LCL7_name
	String LCL8_name
	String child_name
	File ref_dir
	String fasta
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		export LD_LIBRARY_PATH=/opt/htslib-1.9
		nt=$(nproc)
		mkdir VBT

		/opt/VBT-TrioAnalysis/vbt mendelian -ref ${ref_dir}/${fasta} -mother ${LCL8_vcf} -father ${LCL7_vcf} -child ${child_vcf} -outDir VBT -out-prefix ${child_name}.family --output-violation-regions -thread-count $nt

		cat VBT/${child_name}.family_trio.vcf > ${child_name}.family.vcf
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		Array[File] vbt_mendelian = glob("VBT/*")
		File trio_vcf = "${child_name}.family.vcf"
	}
}