task zipIndex {
	File vcf
	String sample
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg bgzip ${vcf} -c > ${family_name}.${sample}.vcf.gz
		rtg index -f vcf ${family_name}.${sample}.vcf.gz

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf_gz = "${family_name}.${sample}.vcf.gz"
		File vcf_idx = "${family_name}.${sample}.vcf.gz.tbi"
	}
}